std::ranges::greater Struct Reference

`#include <ranges_cmp.h>`

## Public Types

using | is_transparent = __is_transparent

## Public Member Functions

template<typename _Tp , typename _Up > requires totally_ordered_with<_Tp, _Up>
constexpr bool | operator() (_Tp &&__t, _Up &&__u) const noexcept(noexcept(std::declval< _Up >()< std::declval< _Tp >()))

## Detailed Description

ranges::greater function object type.

Definition at line 143 of file ranges_cmp.h.

## Member Typedef Documentation

## is_transparent

using std::ranges::greater::is_transparent = __is_transparent

Definition at line 152 of file ranges_cmp.h.

## Member Function Documentation

## operator()()

template<typename _Tp , typename _Up >
requires totally_ordered_with<_Tp, _Up>

constexpr bool std::ranges::greater::operator() | ( | _Tp && | __t,
|  | _Up && | __u
| ) |  | const

inline constexpr noexcept

Definition at line 148 of file ranges_cmp.h.

The documentation for this struct was generated from the following file:

- ranges_cmp.h